summaryrefslogtreecommitdiffstats
path: root/jjb/scripts/csit/device-semiweekly.sh
diff options
context:
space:
mode:
Diffstat (limited to 'jjb/scripts/csit/device-semiweekly.sh')
-rwxr-xr-x[-rw-r--r--]jjb/scripts/csit/device-semiweekly.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/jjb/scripts/csit/device-semiweekly.sh b/jjb/scripts/csit/device-semiweekly.sh
index ff82cb5c..1086b546 100644..100755
--- a/jjb/scripts/csit/device-semiweekly.sh
+++ b/jjb/scripts/csit/device-semiweekly.sh
@@ -21,13 +21,14 @@ set -exuo pipefail
#
# Variables read:
# - WORKSPACE - Jenkins workspace to create csit subdirectory in.
+# - GIT_URL - Git clone URL
# - BRANCH_ID - CSIT operational branch to be used for test.
# Directories updated:
# - ${WORKSPACE}/csit - Created, holding a checked out CSIT repository.
# - Multiple other side effects by entry script(s), see CSIT repository.
cd "${WORKSPACE}"
-git clone https://gerrit.fd.io/r/csit --depth=1 --no-single-branch --no-checkout
+git clone "${GIT_URL}/csit" --depth=1 --no-single-branch --no-checkout
# Check BRANCH_ID value.
if [[ -z "${BRANCH_ID-}" ]]; then
echo "BRANCH_ID not provided => 'oper' belonging to master will be used."
@@ -47,3 +48,4 @@ git checkout "${BRANCH_NAME}"
popd
csit_entry_dir="${WORKSPACE}/csit/resources/libraries/bash/entry"
source "${csit_entry_dir}/bootstrap_vpp_device.sh"
+cp -R "${WORKSPACE}/csit/archives" "${WORKSPACE}/archives" || true